=== debian/changelog ===
scikit-learn (0.14.1-2) unstable; urgency=low

  * Disable reporting to google analytics -- we haven't got any permission from
    the users allowing to report back to 3rd party services
    (thanks Ambrose Andrews, Closes: #730259)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 24 Nov 2013 10:17:29 -0500

scikit-learn (0.14.1-1) unstable; urgency=low

  * The freshiest upstream release
    - addressed 'clean -a' issue, thus removing the dh_auto_clean override
  * debian/rules
    - if available cython >= 0.19 -- re-build Cythonized sources while
      monitoring for changes using dh_autoreconf

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 08 Aug 2013 14:06:48 -0400

scikit-learn (0.14-1) UNRELEASED; urgency=low

  * The fresh upstream release
  * debian/rules
    - overload dh_auto_clean to call "clean" without -a
      (see https://github.com/scikit-learn/scikit-learn/issues/2351)
  * debian/control
    - Build-Depends:
      - multilined
      - dropped swig (not needed since awhile)
      - moved sphinx, PIL, and graphviz to Build-Depends-Indep since
        needed only for -doc package
      - do not build documentation when sphinx < 1.1.3 due to problems
        with unicode in earlier present on older Debian/Ubuntu's versions
    - boosted policy to 3.9.4 (no further changes)
    - migrate from python-support to dh_python2

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 07 Aug 2013 20:16:04 -0400

scikit-learn (0.14~a1+git20-gc9ba2c3-1) UNRELEASED; urgency=low

  * Fresh pre-release snapshot
  * debian/control
    - python-imaing to build-depends (for documentation) and removed not
      needed XS-DM-Upload-Allowed

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 05 Aug 2013 10:56:38 -0400
