## scikit-learn 0.15.1

=== continuous_integration/appveyor/requirements.txt ===
# Fetch numpy and scipy wheels from the sklearn rackspace wheelhouse.
# Those wheels were generated by @ogrisel by calling `wheel convert` on
# the binaries from http://www.lfd.uci.edu/~gohlke/pythonlibs/
# This is a temporary solution. As soon as numpy and scipy provide official
# wheel for windows we ca delete this --find-links line.
--find-links http://28daf2247a33ed269873-7b1aad3fab3cc330e1fd9d109892382a.r6.cf2.rackcdn.com/index.html
numpy
scipy
nose
nose-exclude
wheel
