=== debian/changelog ===
scikit-learn (0.15.1-1ubuntu1) utopic; urgency=medium

  * Don't build depend on atlas on ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 08 Sep 2014 11:40:35 +0200

scikit-learn (0.15.1-1) unstable; urgency=medium

  * Fresh upstream minor release

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 04 Aug 2014 14:10:50 -0400

scikit-learn (0.15.0-1) unstable; urgency=medium

  * Fresh upstream release
  * Build-depend on libatlas3-base

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 15 Jul 2014 08:39:08 -0400

scikit-learn (0.14.1-3) unstable; urgency=medium

  * Cherry-pick a workaround for FTBFS due to error in current scipy
    (Closes: #746096)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 13 May 2014 10:07:58 -0400
