=== debian/control ===
--- 
+++ 
@@ -11,7 +11,8 @@
                libsvm-dev (>= 2.84.0),
                python-nose,
                python-matplotlib,
-               python-joblib (>= 0.4.5), python-support
+               python-joblib (>= 0.4.5), python-support,
+               libatlas3-base [!ppc64el],
 Build-Depends-Indep:
                python-sphinx (>= 1.0), python-imaging, graphviz,
 Standards-Version: 3.9.4
