=== debian/changelog ===
scikit-learn (0.15.2-3) unstable; urgency=medium

  * debian/patches
    - deb_skip_some_tests_on_arm -- skip two tests on armv to avoid FTBFS
    - up_workaround_buggy_pil -- workaround a bug in PIL

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 07 Oct 2014 21:37:46 -0400

scikit-learn (0.15.2-2) unstable; urgency=medium

  * debian/rules
    - fixed version for comparison against sphinx. Now documentation should
      get built on recent releases (Closes: #760730).
      Thanks Federico Ceratto for the report

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 08 Sep 2014 09:47:41 -0400

scikit-learn (0.15.2-1) unstable; urgency=medium

  * Fresh upstream minor release

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 06 Sep 2014 20:11:37 -0400
