=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python-nose,
                python-matplotlib,
                python-joblib (>= 0.4.5), python-support,
-               libatlas3-base [!ppc64el],
+               libatlas3-base,
 Build-Depends-Indep:
                python-sphinx (>= 1.0), python-imaging, graphviz,
 Standards-Version: 3.9.4
