=== debian/changelog ===
scikit-learn (0.16.1-2) unstable; urgency=medium

  * Upload to unstable (Closes: #792074)
  * debian/control
    - boosted policy to 3.9.6
    - properly dropped python-support, debian/rules was already
      using dh_ helpers (Closes: #786185)
  * debian/patches
    - Picked up from usptream 2 fixes:
      - changeset_190fe7347cfd6fab67f37c7535c4fa9b8f0870de.diff
        FIX Include PyFuncDistance attributes while pickling.
      - changeset_5e502596460014ed3adebe61e8189a60e72d3623.diff
        Fix signature not compatible with previous declaration
        (Closes: #791615)
    - deb_skip_some_tests_on_arm
      fixed it up (missing nose imports). Thanks Logan Rosen!
      (Closes: #773862)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 10 Jul 2015 23:26:48 -0400

scikit-learn (0.16.1-1) experimental; urgency=medium

  * Fresh upstream bugfix release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 14 Apr 2015 19:04:54 -0400

scikit-learn (0.16.0-1) experimental; urgency=medium

  * Fresh upstream release
  * debian/patches
    - deb_git_revision_cmd - use debian/github-revision.txt with github
      treeish for this release (TODO: automate)
    - deb_no_plot_gallery - do not build gallery of example plots (some
      require network and otherwise memory/cpu intensive etc)
    - deb_optional_linkcode - would not use linkcode extension if not
      available

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 30 Mar 2015 16:11:59 -0400
