=== debian/control ===
--- 
+++ 
@@ -4,19 +4,19 @@
 Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50), dh-autoreconf,
-               python-all-dev (>= 2.5),
+               python-all-dev (>= 2.6.6-3~), dh-python,
                cython (>= 0.12~),
                python-setuptools,
                python-numpy, python-scipy,
                libsvm-dev (>= 2.84.0),
                python-nose,
                python-matplotlib,
-               python-joblib (>= 0.4.5), python-support,
+               python-joblib (>= 0.4.5),
                libatlas3-base,
 Build-Depends-Indep:
                python-sphinx (>= 1.0), python-imaging, graphviz,
-Standards-Version: 3.9.4
-XS-Python-Version: >= 2.6
+Standards-Version: 3.9.6
+X-Python-Version: >= 2.6
 Homepage: http://scikit-learn.sourceforge.net
 Vcs-Browser: http://github.com/yarikoptic/scikit-learn
 Vcs-Git: git://github.com/yarikoptic/scikit-learn.git
