=== debian/changelog ===
scikit-learn (0.17.0-4) unstable; urgency=medium

  * debian/tests/deb_tests_lower_precision
    - lowering further to 4 decimals

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 22 Dec 2015 08:51:29 -0500

scikit-learn (0.17.0-3) unstable; urgency=medium

  * debian/control
    - recommend python3- versions of packages for python3-sklearn. Thanks
      Christopher Baines
  * debian/rules
    - boost minimal Cython version for recythonization to 0.23.1.
      Should enable back bakckports on older Debian/Ubuntus
  * debian/tests/deb_tests_lower_precision
    - to lower precision of test_feature_importances to avoid FTBFS on some
      (BE) platforms

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 21 Dec 2015 21:02:16 -0500

scikit-learn (0.17.0-2) unstable; urgency=medium

  * debian/copyright
    - extended list of copyrights/licenses (Thanks Thorsten Alteholz for
      review)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 13 Nov 2015 23:11:12 -0500

scikit-learn (0.17.0-1) unstable; urgency=medium

  * Fresh upstream release
    - should address FTBFS on 32bit and other platforms due to failing
      tests
  * debian/patches/deb_no_tinyclues_external_image
    - to not link to external images inthe documentation (privacy concern)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 05 Nov 2015 20:47:00 -0500

scikit-learn (0.17.0~b1+git14-g4e6829c-1) unstable; urgency=medium

  * Fresh beta release + post-release fixes -- test build
    - requires joblib >= 0.9.2 (Closes: #792483)
    - if succeeds, means that failing test fixed (Closes: #797507)
  * debian/patches
    - deb_disable_google_anals to disable google tracking
    - deb_nopaypal  to refer to upstream website and not incorporate
      paypal form in the doc
    - deb_no_online_jquery  to avoid referring to online jquery
  * debian/{control,rules}
    - heavy refactoring to support python3-sklearn (Closes: #730532)
    - point to the debian branch for git repo (Closes: #792476)
    - use system-wide libjs-underscore
  * debian/compat raise to level 7 from elderly 5

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 27 Oct 2015 11:11:00 -0400
