=== debian/changelog ===
scikit-learn (0.18-5) unstable; urgency=medium

  * Team upload.
  * Moved packaging to Debian Science team
  * Build-Depends: python-pytest, python3-pytest
    Closes: #848788

 -- Andreas Tille <tille@debian.org>  Wed, 28 Dec 2016 13:24:45 +0100

scikit-learn (0.18-4) unstable; urgency=medium

  * debian/rules
    - added cythonization (from pandas) since upstream no longer stores
      pre-generated files under GIT
    - skip test_non_meta_estimators on ppc64el to avoid FTBFS

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 25 Oct 2016 08:24:18 -0400

scikit-learn (0.18-3) unstable; urgency=medium

  * debian/rules
    - skip some minor failing tests on i386 and armel for now

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 04 Oct 2016 09:41:01 -0400

scikit-learn (0.18-2) unstable; urgency=medium

  * debian/patches/deb_use_system_joblib
    sklearn started to use other submodules of joblib directly, so previous
    stub for import did not work.  Now update local namespace of the stub
    entirely with definitions from joblib.__dict__  (Closes: #839348)
  * debian/rules
    - allow joblib to parallelize to 2 processes, to overcome recent joblib
      (0.10.2) bug with 0 value

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 02 Oct 2016 09:36:31 -0400

scikit-learn (0.18-1) unstable; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 29 Sep 2016 21:29:45 -0400
